CoterminalSwapCurveState Class Reference

Curve state for coterminal-swap market models More...

`#include <ql/models/marketmodels/curvestates/coterminalswapcurvestate.hpp>`

Inheritance diagram for CoterminalSwapCurveState:
[legend]

## Public Member Functions

| CoterminalSwapCurveState (const std::vector< Time > &rateTimes)
Modifiers
void | setOnCoterminalSwapRates (const std::vector< Rate > &swapRates, Size firstValidIndex=0)
Public Member Functions inherited from CurveState
| CurveState (const std::vector< Time > &rateTimes)
Size | numberOfRates () const
const std::vector< Time > & | rateTimes () const
const std::vector< Time > & | rateTaus () const
Rate | swapRate (Size begin, Size end) const

## Inspectors

Real | discountRatio (Size i, Size j) const
Rate | forwardRate (Size i) const
Rate | coterminalSwapRate (Size i) const
Rate | coterminalSwapAnnuity (Size numeraire, Size i) const
Rate | cmSwapRate (Size i, Size spanningForwards) const
Rate | cmSwapAnnuity (Size numeraire, Size i, Size spanningForwards) const
const std::vector< Rate > & | forwardRates () const
const std::vector< Rate > & | coterminalSwapRates () const
const std::vector< Rate > & | cmSwapRates (Size spanningForwards) const
std::auto_ptr< CurveState > | clone () const

## Additional Inherited Members

Protected Attributes inherited from CurveState
Size | numberOfRates_
std::vector< Time > | rateTimes_
std::vector< Time > | rateTaus_

## Detailed Description

Curve state for coterminal-swap market models

This class stores the state of the yield curve associated to the fixed calendar times within the simulation. This is the workhorse discounting object associated to the rate times of the simulation. It's important to pass the rates via an object like this to the product rather than directly to make it easier to switch to other engines such as a coterminal swap rate engine. Many products will not need expired rates and others will only require the first rate.